Subject: Re: [PATCH] ppc32: 8xx board-specific platform stuff for fs_enet

From: Marcelo Tosatti <[email-masked]>
Date: Fri, 18 Nov 2005 07:08:45 -0200

On Fri, Nov 18, 2005 at 05:09:02PM +0300, Vitaly Bordug wrote:
> Marcelo,
> Thanks for review, will fix.
> 
> Guess the proper place for setbits/clrbits should be asm-ppc/io.h?

Yes, think so.

Paul, you're OK with the following definitions on asm-ppc/io.h?

+/* access ports */
+#define setbits32(_addr, _v) out_be32(&(_addr), in_be32(&(_addr)) |  (_v))
+#define clrbits32(_addr, _v) out_be32(&(_addr), in_be32(&(_addr)) & ~(_v))
+
+#define setbits16(_addr, _v) out_be16(&(_addr), in_be16(&(_addr)) |  (_v))
+#define clrbits16(_addr, _v) out_be16(&(_addr), in_be16(&(_addr)) & ~(_v))